Subject: [NSIS] Use of 3-Way Handshake in D-Mode case

From: Christian Dickmann <[email-masked]>
Date: Fri, 09 Mar 2007 16:15:50 -0500

Hi Robert,

section 4.3.3 "Message Transmission" states:
"If a messaging association is not required, the message is sent in
   D-mode.  The processing in this case depends on the message type and
   whether routing state exists or not. ...
- If the message is not a Query, and routing state exists, ...
- If the message is a Query, ...
- If no routing state exists, GIST can attempt to use Q-mode as in
      the Query case. ..."

Thus, for a message that is not a Query and where no routing state 
exists, the third rule applies. The third rule gives only the option of 
sending the message in Q-mode. Does that mean, that there is no way to 
carry out a 3-way handshake just for transport of D-Mode messages?
The SendMessage primitive has a parameter that suggests "whether GIST 
should attempt to set up or maintain forward routing state." Also text 
like "A Confirm MUST be sent in C-mode if a messaging association is 
being used for this routing state" suggests that there is case of having 
routing state without C-Mode.
Am I missing something?

Regards,
Christian

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

---

From: "Hancock, Robert" <[email-masked]>
Date: Mon, 12 Mar 2007 14:05:38 -0000

hi christian, 

> -----Original Message-----
> From: Christian Dickmann [mailto:[email-masked]] 
> Sent: 09 March 2007 21:16
> To: [email-masked]
> Subject: [NSIS] Use of 3-Way Handshake in D-Mode case
> 
> Hi Robert,
> 
> Thus, for a message that is not a Query and where no routing 
> state exists, the third rule applies. The third rule gives 
> only the option of sending the message in Q-mode. Does that 
> mean, that there is no way to carry out a 3-way handshake 
> just for transport of D-Mode messages?

that is not the intention. this text hasn't changed for a while;
the scope (in fact, the scope of this whole section 4.3) is 
supposed to be 'how do you send a message based on whatever 
routing state you already have', and 4.4 explains how to set up
routing state if you don't have it. it may be that that final 
bullet should be extended to say that lack of routing state can
be used as a trigger to make a handshake take place.

> The SendMessage primitive has a parameter that suggests 
> "whether GIST should attempt to set up or maintain forward 
> routing state." Also text like "A Confirm MUST be sent in 
> C-mode if a messaging association is being used for this 
> routing state" suggests that there is case of having routing 
> state without C-Mode.
> Am I missing something?

no, it is quite possible for the handshake to take place without
creating an MA (although you SHOULD only send messages outside
an MA when you have provisioned bandwidth for signalling traffic -
this is a congestion control issue, and will be in the next
version, see
http://nsis.srmr.co.uk/cgi-bin/roundup.cgi/nsis-ntlp-issues/issue208).

robert h.

---

From: Christian Dickmann <[email-masked]>
Date: Mon, 12 Mar 2007 10:57:03 -0400

> be used as a trigger to make a handshake take place.

Very good. I was quite worried after reading that text :) So I think 
that this short addition to the last bullet would be a good idea.

> http://nsis.srmr.co.uk/cgi-bin/roundup.cgi/nsis-ntlp-issues/issue208).

Thanks for pointing me to this issue, answered another question I had.

Christian

---

From: "Hancock, Robert" <[email-masked]>
Date: Mon, 12 Mar 2007 16:10:21 -0000

ok, raised as
http://nsis.srmr.co.uk/cgi-bin/roundup.cgi/nsis-ntlp-issues/issue210

r. 

> Sent: 12 March 2007 14:57
> To: Hancock, Robert
> Cc: [email-masked]
> Subject: Re: [NSIS] Use of 3-Way Handshake in D-Mode case
> 
> Hancock, Robert wrote:
> > hi christian,
> >
> >   
> >>    D-mode.  The processing in this case depends on the 
> message type 
> >> and
> >> exists, the third rule applies. The third rule gives only 
> the option 
> >> of sending the message in Q-mode. Does that mean, that there is no 
> >> way to carry out a 3-way handshake just for transport of D-Mode 
> >> messages?
> >>     
> >
> > that is not the intention. this text hasn't changed for a 
> while; the 
> > scope (in fact, the scope of this whole section 4.3) is 
> supposed to be 
> > 'how do you send a message based on whatever routing state 
> you already 
> > have', and 4.4 explains how to set up routing state if you 
> don't have 
> > it. it may be that that final bullet should be extended to say that 
> > lack of routing state can be used as a trigger to make a handshake 
> > take place.
> >   
> 
> Very good. I was quite worried after reading that text :) So 
> I think that this short addition to the last bullet would be 
> a good idea.
> 
> "whether GIST 
> >> should attempt to set up or maintain forward routing state." Also 
> >> text like "A Confirm MUST be sent in C-mode if a messaging 
> >> association is being used for this routing state" suggests 
> that there 
> >> is case of having routing state without C-Mode.
> >> Am I missing something?
> >>     
> >
> > creating an MA (although you SHOULD only send messages 
> outside an MA 
> > when you have provisioned bandwidth for signalling traffic 
> - this is a 
> > congestion control issue, and will be in the next version, see 
> >